## easystroke 0.4.9

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,14 @@
 MENUDIR  = $(PREFIX)/share/applications
 LOCALEDIR= $(PREFIX)/share/locale
 DFLAGS   =
-OFLAGS   = -Os
+OFLAGS   = -O2
 AOFLAGS  = -O3
 STROKEFLAGS  = -Wall -std=c99 $(DFLAGS)
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+BOOSTLIB = $(shell echo 'int main(int, char**) {}' | g++ -lboost_serialization -o /dev/null -xc++ - 2>/dev/null && echo -lboost_serialization || echo -lboost_serialization-mt)
+LIBS     = $(DFLAGS) $(BOOSTLIB) -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg
