## easystroke 0.5.5.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization-mt -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+LIBS     = $(DFLAGS) -lboost_serialization -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg
@@ -45,13 +45,12 @@
 VERSION  = $(shell test -e debian/changelog && grep '(.*)' debian/changelog | sed 's/.*(//' | sed 's/).*//' | head -n1 || (test -e version && cat version || git describe))
 GIT      = $(wildcard .git/index version)
 DIST     = easystroke-$(VERSION)
-ARCH     = $(shell uname -m)
 
 -include debug.mk
 
 all: $(BINARY) $(MOFILES)
 
-.PHONY: all clean snapshot release translate update-translations compile-translations
+.PHONY: all clean translate update-translations compile-translations
 
 clean:
 	$(RM) $(OFILES) $(BINARY) $(GENFILES) $(DEPFILES) $(MANPAGE) $(GZFILES) po/*.pot
@@ -130,12 +129,7 @@
 		$(RM) `echo $$f | sed "s|^po/|$(DESTDIR)$(LOCALEDIR)/|"`; \
 	done
 
-snapshot: $(DIST)_$(ARCH).tar.gz
-
 tarball: $(DIST).tar.gz
-
-release: $(DIST).tar.gz
-	rsync -avP $(DIST).tar.gz thjaeger@frs.sourceforge.net:uploads/
 
 tmp/$(DIST): $(GIT)
 	$(RM) -r tmp
@@ -144,12 +138,6 @@
 	echo $(VERSION) > $@/version
 	$(RM) $@/.gitignore $@/release
 
-$(DIST)_$(ARCH).tar.gz: tmp/$(DIST)
-	$(MAKE) -j2 -C $<
-	strip -s $</easystroke
-	tar -czf $@ -C $< easystroke
-	$(RM) -r tmp
-
 $(DIST).tar.gz: tmp/$(DIST)
 	tar -czf $@ -C tmp/ $(DIST)
 	$(RM) -r tmp
