=== debian/changelog ===
easystroke (0.5.6-0ubuntu1) raring; urgency=low

  [ Logan Rosen ]
  * New upstream release. Should fix the following bugs, according to
    Tom Jaeger on Launchpad:
    - Exceptions don't work (LP: #995841).
    - The focus randomly changes between windows if easystroke is in use and
      the evdev driver is built with mtdev (LP: #1048865).
  * debian/source/format: Indicate format of 3.0 (quilt).
  * debian/control: Bump Standards-Version to 3.9.4.

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Update to DEP-5 style.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 08 Jan 2013 01:44:02 -0500

easystroke (0.5.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Update build structure to satisfy Lintian.
  * Bump Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 16 Jul 2012 11:25:21 +0200

easystroke (0.5.4-0ubuntu3) quantal; urgency=low

  * No change rebuild for boost1.49 transition

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 May 2012 20:59:03 +0100

easystroke (0.5.4-0ubuntu2) oneiric; urgency=low

  * No change rebuild for boost1.46 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Sep 2011 22:42:42 -0400

easystroke (0.5.4-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #623955)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Wed, 25 Aug 2010 14:38:25 +0200

easystroke (0.5.3-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #521548)
    - Fixes a crash when a gesture times out during recording

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sat, 13 Feb 2010 19:09:23 -0500

easystroke (0.5.2-0ubuntu1) lucid; urgency=low

  [ Thomas Jaeger ]
  * New upstream release (LP: #502366)
    - Fixes crash when the third axis is a relative one (LP: #466532)
    - Uses XI2 now, so upgrade Build-Depends accordingly

  [ Benjamin Drung ]
  * Wrap Build-Depends
  * Bump Standards-Version to 3.8.3
  * Add ${misc:Depends} to dependency list
  * Switch to debhelper v7.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 03 Jan 2010 01:02:54 +0100

easystroke (0.4.9-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #416097)
   - Upstream workaround for up and down button problem (LP: #412169)
   - Include translations (LP: #355251) 

 -- Julien Lavergne <gilir@ubuntu.com>  Thu, 20 Aug 2009 18:49:34 +0200

easystroke (0.4.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #377059)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 15 May 2009 15:17:06 -0400

easystroke (0.4.1.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #344040)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Mon, 16 Mar 2009 22:58:42 -0400

easystroke (0.4.1-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 20 Feb 2009 16:21:02 -0500

easystroke (0.4.0.98.1-0ubuntu1) jaunty; urgency=low

  * New upstream beta (LP: #329889)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 15 Feb 2009 18:43:29 -0500

easystroke (0.4.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Packaging changes
    - Drop obsolete dependencies
    - Don't suggest xautomation anymore since most of xte's features are
      present in easystroke now.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 08 Feb 2009 11:51:27 -0500

easystroke (0.3.98.1-0ubuntu1) jaunty; urgency=low

  * New upstream beta (LP: #318051)
  * Use lzma compression in the deb.
    - pass -Z lzma to dh_builddeb
    - Pre-Depend on dpkg (>= 1.14.12ubuntu3)
  * Build-Depend on intltool for the i18n of the desktop file.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 16 Jan 2009 11:31:54 -0500

easystroke (0.3.97.2-0ubuntu1) jaunty; urgency=low

  * New upstream alpha

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 09 Jan 2009 17:06:09 -0500

easystroke (0.3.97.1) jaunty; urgency=low

  * New upstream alpha

 -- Thomas Jaeger <ThJaeger@gmail.com>  Tue, 06 Jan 2009 17:45:41 -0500

easystroke (0.3.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Thomas Jaeger <ThJaeger@gmail.com>  Mon, 22 Dec 2008 21:13:32 +0100

easystroke (0.2.2.1-0ubuntu2) intrepid; urgency=low

  [ Thomas Jaeger ]
  * Set a link open function to make documentation button work
  * Don't set page_gize in adjustments for spin buttons to fix gtk
    warnings.

  [ James Westby ]
  * Depend on xdg-utils for xdg-open, which is callled to show the
    documentation.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Tue, 30 Sep 2008 12:44:57 -0400

easystroke (0.2.2.1-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix release (LP: #272593)
    - better handling of unexpected X server behavior
    - don't leave zombie processes behind
    - make sure the gesture line disappears after a timeout
    - workaround for multi-screen setups

  * fix bug that caused popup preferences not to be saved automatically

 -- Thomas Jaeger <ThJaeger@gmail.com>  Thu, 25 Sep 2008 10:55:00 -0400

easystroke (0.2.2-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #254893)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 17 Aug 2008 19:19:14 -0400
