=== debian/control ===
Source: easystroke
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
Build-Depends: debhelper (>= 7),
               help2man,
               intltool,
               libboost-serialization-dev,
               libdbus-glib-1-dev,
               libgtkmm-2.4-dev,
               libx11-dev (>= 2:1.3),
               libxi-dev (>= 2:1.3),
               libxtst-dev,
               xserver-xorg-dev (>= 2:1.7.0)
Standards-Version: 3.9.4
Homepage: http://easystroke.sourceforge.net

Package: easystroke
Architecture: any
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: cellwriter
Description: gesture recognition program
 Easystroke is a gesture-recognition application for X11. It aims to be highly
 configurable while at the same time providing an intuitive user interface. It
 was designed with a Tablet PC in mind, but it also works well with a mouse.
