## easystroke 0.5.99.2

=== debian/changelog ===
easystroke (0.5.99.2-0ubuntu1) raring; urgency=low

  [ Thomas Jaeger ]
  * New upstream release candidate.  Fixes
    - editing actions no longer possible (LP: #1106922)
  * debian/control: dependent on gtkmm3.0 now

  [ Julian Taylor ]
  * generate C source from vala file
    - requires patch to gtk+3.0.vapi done during build
    - add build dependency on libgtk+3.0-dev, valac-0.18 and valac-0.18-vapi
  * drop deprecated dh_builddeb -- -Z lzma for -Z xz

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 01 Mar 2013 04:29:16 -0500
