=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
                intltool,
                libboost-serialization-dev,
                libdbus-glib-1-dev,
-               libgtkmm-2.4-dev,
+               libgtk-3-dev,
+               libgtkmm-3.0-dev,
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
+               valac-0.18,
+               valac-0.18-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net
