=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	cp /usr/share/vala-0.18/vapi/gtk+-3.0.vapi debian/
+	cd debian && patch -p1 < gtk3vapi.patch
+	valac --vapidir debian/ --pkg gtk+-3.0 --pkg gdk-3.0 --pkg atk --pkg x11 -H cellrenderertextish.h -C cellrenderertextish.vala
 	$(MAKE) PREFIX=/usr
 	touch $@
 
@@ -13,6 +16,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	$(MAKE) clean
+	rm -f debian/gtk+-3.0.vapi
 	dh_clean
 
 install: build
@@ -38,7 +42,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Z lzma
+	dh_builddeb -- -Z xz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
