=== debian/changelog ===
easystroke (0.6.0-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:25:08 +0100

easystroke (0.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Use vala-0.20 instead of vala-0.18

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Jun 2013 14:52:26 -0400

easystroke (0.5.99.2-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100
