=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
-               valac-0.18,
-               valac-0.18-vapi,
+               valac-0.20,
+               valac-0.20-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net
