=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	cp /usr/share/vala-0.18/vapi/gtk+-3.0.vapi debian/
+	cp /usr/share/vala-0.20/vapi/gtk+-3.0.vapi debian/
 	cd debian && patch -p1 < gtk3vapi.patch
 	valac --vapidir debian/ --pkg gtk+-3.0 --pkg gdk-3.0 --pkg atk --pkg x11 -H cellrenderertextish.h -C cellrenderertextish.vala
 	$(MAKE) PREFIX=/usr
