## easystroke 0.6.0+git20141123

=== debian/changelog ===
easystroke (0.6.0+git20141123-1mx150+1) mx; urgency=medium

  * Pull from git, hopefully kills zombies processes.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 27 Dec 2015 13:47:11 -0800

easystroke (0.6.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 10 Dec 2015 13:17:26 -0800

easystroke (0.6.0-0ubuntu5) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:14:49 +0000

easystroke (0.6.0-0ubuntu4) wily; urgency=medium

  * debian/control:
    - Drop build-depends on valac-0.20, valac-0.20-vapi
  * debian/gtk3vapi.patch:
  * debian/rules:
    - Don't rebuild and patch Vala file - the new version seems to compile fine

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Jun 2015 11:11:40 +1200

easystroke (0.6.0-0ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 04:03:48 +0100
