## easystroke 0.6.0+git20160705

=== debian/changelog ===
easystroke (0.6.0+git20160705-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21, no change.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 15:22:20 -0500

easystroke (0.6.0+git20160705-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add sigc.patch, dont-ignore-xshape-when-saving.patch, 
    add-toggle-option.patch, and abs.patch.
  * Drop replace-sigc-group-with-lambda.patch.
  * Bump up to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Aug 2019 17:43:17 -0700

easystroke (0.6.0+git20160705-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add replace-sigc-group-with-lambda.patch to fix build on Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Sep 2017 17:13:43 -0700

easystroke (0.6.0+git20160705-1mx15+1) mx; urgency=medium

  * New pull from git, builds with c std 11.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Sep 2017 16:14:36 -0700
