=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: easystroke
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
-Build-Depends: debhelper (>= 7),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
+Build-Depends: debhelper (>= 9),
                help2man,
                intltool,
                libboost-serialization-dev,
@@ -13,8 +14,6 @@
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
-               valac-0.20,
-               valac-0.20-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net
